## bibutils 3.40

=== Makefile ===
POSTFIX=_i386
CC = CC="cc -Wall"
RANLIB=RANLIB="ranlib"
INSTALLDIR=/usr/local/bin

VERSION=3.40
DATE=

PROGRAMS=bib2xml ris2xml end2xml endx2xml med2xml isi2xml copac2xml \
	xml2bib xml2end xml2isi xml2ris xml2word modsclean

all : FORCE
	cd lib; make -k $(CC) -k $(RANLIB) -k VERSION="$(VERSION)" -k DATE="$(DATE)"; cd ..
	cd bin; make -k $(CC); cd ..

clean: FORCE
	cd lib     ; make clean ; cd ..
	cd bin     ; make clean ; cd ..
	cd test    ; make clean ; cd ..

realclean: FORCE
	cd lib     ; make realclean ; cd ..
	cd bin     ; make realclean ; cd ..
	cd test    ; make realclean ; cd ..
	rm -rf update

test: all FORCE
	cd lib    ; make test; cd ..
	cd bin    ; make test; cd ..

install: all FORCE
	@for p in ${PROGRAMS}; \
		do ( cp bin/$$p ${INSTALLDIR}/$$p ); \
	done

package: all FORCE
	csh -f maketgz.csh ${VERSION} ${POSTFIX}

deb: all FORCE
	csh -f makedeb.csh ${VERSION} ${POSTFIX}

FORCE:

=== bin/Makefile ===
#
# bibutils converters MAKEFILE
#

CFLAGS     = -I ../lib
LIBDIR     = -L../lib
LIBS       = -lbibprogs -lbibutils 
PROGS      = bib2xml copac2xml end2xml endx2xml isi2xml med2xml ris2xml \
             xml2ads xml2bib xml2end xml2isi xml2ris xml2wordbib modsclean

all: $(PROGS)

bib2xml : bib2xml.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) bib2xml.o $(LIBDIR) $(LIBS) -o $@

copac2xml : copac2xml.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) copac2xml.o $(LIBDIR) $(LIBS) -o $@

end2xml : end2xml.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) end2xml.o $(LIBDIR) $(LIBS) -o $@

endx2xml : endx2xml.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) endx2xml.o $(LIBDIR) $(LIBS) -o $@

isi2xml : isi2xml.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) isi2xml.o $(LIBDIR) $(LIBS) -o $@

med2xml : med2xml.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) med2xml.o $(LIBDIR) $(LIBS) -o $@

ris2xml : ris2xml.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) ris2xml.o $(LIBDIR) $(LIBS) -o $@

xml2ads : xml2ads.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) xml2ads.o $(LIBDIR) $(LIBS) -o $@

xml2bib : xml2bib.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) xml2bib.o $(LIBDIR) $(LIBS) -o $@

xml2end : xml2end.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) xml2end.o $(LIBDIR) $(LIBS) -o $@

xml2isi : xml2isi.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) xml2isi.o $(LIBDIR) $(LIBS) -o $@

xml2ris : xml2ris.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) xml2ris.o $(LIBDIR) $(LIBS) -o $@

xml2wordbib : xml2wordbib.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) xml2wordbib.o $(LIBDIR) $(LIBS) -o $@

modsclean : modsclean.o ../lib/libbibprogs.a ../lib/libbibutils.a
	$(CC) modsclean.o $(LIBDIR) $(LIBS) -o $@
test:

clean:
	rm -f *.o core 

realclean:
	rm -f *.o core $(PROGS)

=== lib/Makefile ===
#CC = gcc -Wall 
#RANLIB = echo

BIB_OBJS = bbl.o fields.o lists.o name.o title.o reftypes.o

SIMPLE_OBJS   = is_ws.o strsearch.o charsets.o
NEWSTR_OBJS   = newstr.o newstr_conv.o entities.o latex.o utf8.o
CONTAIN_OBJS  = fields.o lists.o xml.o xml_encoding.o
INPUT_OBJS    = bibtexin.o bibtypes.o \
		copacin.o copactypes.o \
		endin.o endtypes.o \
		endxmlin.o \
		isiin.o isitypes.o \
		medin.o \
		modsin.o modstypes.o \
		risin.o ristypes.o \
		reftypes.o
OUTPUT_OBJS   = bibtexout.o endout.o isiout.o modsout.o risout.o wordout.o \
		adsout.o
BIBUTILS_OBJS = $(SIMPLE_OBJS) $(NEWSTR_OBJS) $(CONTAIN_OBJS) \
	$(INPUT_OBJS) $(OUTPUT_OBJS) name.o title.o bibl.o serialno.o bibutils.o

BIBPROGS_OBJS = bibprogs.o compiledate.o

all:  libbibutils.a libbibprogs.a

libbibutils.a: $(BIBUTILS_OBJS)
	ar -cr libbibutils.a $(BIBUTILS_OBJS)
	$(RANLIB) libbibutils.a

libbibprogs.a: $(BIBPROGS_OBJS)
	ar -cr libbibprogs.a $(BIBPROGS_OBJS)
	$(RANLIB) libbibprogs.a

compiledate.o : compiledate.c
	$(CC) -DVERSION="\"$(VERSION)\"" -DDATE="\"$(DATE)\"" -c -o compiledate.o compiledate.c

clean: 
	/bin/rm -f *.o core

realclean:
	/bin/rm -f *.o *.a core

test:

=== test/Makefile ===
#
# bibutils unit tests MAKEFILE
#

CFLAGS     = -Wall -I ../lib
LIBDIR     = -L../lib
LIBS       = -lbibutils 
PROGS      = newstr_test entities_test utf8_test

all: $(PROGS)

entities_test : entities_test.o
	$(CC) entities_test.o $(LIBDIR) $(LIBS) -o $@

utf8_test : utf8_test.o
	$(CC) utf8_test.o $(LIBDIR) $(LIBS) -o $@

newstr_test : newstr_test.o
	$(CC) newstr_test.o $(LIBDIR) $(LIBS) -o $@

test: entities_test newstr_test
	./newstr_test
	./entities_test
	./utf8_test

clean:
	rm -f *.o core 

realclean:
	rm -f *.o core $(PROGS)

## bibutils 4.1

=== bin/Makefile ===
#
# bibutils converters MAKEFILE
#

CFLAGS     = -I ../lib
LIBDIR     = -L../lib
PROGS      = bib2xml biblatex2xml copac2xml end2xml endx2xml isi2xml med2xml \
             ris2xml \
             xml2ads xml2bib xml2end xml2isi xml2ris xml2wordbib modsclean

all: $(PROGS)

args.o : args.c
	$(CC) $^ -DCURR_VERSION="\"$(VERSION)\"" -DCURR_DATE="\"$(DATE)\"" $(CFLAGS) -c -o $@

bib2xml : bib2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

biblatex2xml : biblatex2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

copac2xml : copac2xml.o bibprog.o tomods.o args.o  ../lib/libbibutils.a
	$(CC) $^ -o $@

end2xml : end2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

endx2xml : endx2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

isi2xml : isi2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

med2xml : med2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

ris2xml : ris2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

xml2ads : xml2ads.o bibprog.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

xml2bib : xml2bib.o bibprog.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

xml2end : xml2end.o bibprog.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

xml2isi : xml2isi.o bibprog.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

xml2ris : xml2ris.o bibprog.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

xml2wordbib : xml2wordbib.o bibprog.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

modsclean : modsclean.o bibprog.o tomods.o args.o ../lib/libbibutils.a
	$(CC) $^ -o $@

test:

clean:
	rm -f *.o core 

realclean:
	rm -f *.o core $(PROGS)

=== lib/Makefile ===
#CC = gcc -Wall 
#RANLIB = echo

BIB_OBJS = bbl.o fields.o list.o name.o title.o reftypes.o

SIMPLE_OBJS   = is_ws.o is_doi.o strsearch.o charsets.o
NEWSTR_OBJS   = newstr.o newstr_conv.o entities.o latex.o utf8.o gb18030.o
CONTAIN_OBJS  = fields.o list.o xml.o xml_encoding.o
INPUT_OBJS    = bibtexin.o bibtextypes.o \
		biblatexin.o bltypes.o \
		copacin.o copactypes.o \
		endin.o endtypes.o \
		endxmlin.o \
		isiin.o isitypes.o \
		medin.o \
		modsin.o modstypes.o marc.o \
		risin.o ristypes.o \
		reftypes.o
OUTPUT_OBJS   = bibtexout.o endout.o isiout.o modsout.o risout.o wordout.o \
		adsout.o
BIBUTILS_OBJS = $(SIMPLE_OBJS) $(NEWSTR_OBJS) $(CONTAIN_OBJS) \
	$(INPUT_OBJS) $(OUTPUT_OBJS) name.o title.o bibl.o serialno.o bibutils.o

all:  libbibutils.a

libbibutils.a: $(BIBUTILS_OBJS)
	ar -cr libbibutils.a $(BIBUTILS_OBJS)
	$(RANLIB) libbibutils.a

clean: 
	/bin/rm -f *.o core

realclean:
	/bin/rm -f *.o *.a core

test:

## bibutils 4.6

=== Makefile ===
POSTFIX=_i386
CC = CC="cc -Wall"
RANLIB=RANLIB="ranlib"
INSTALLDIR=/usr/local/bin

VERSION=4.6
DATE=10/24/09

PROGRAMS=bib2xml ris2xml end2xml endx2xml med2xml isi2xml copac2xml \
	ebi2xml wordbib2xml \
	xml2ads xml2bib xml2end xml2isi xml2ris xml2wordbib \
	modsclean

all : FORCE
	cd lib; make -k $(CC) -k $(RANLIB); cd ..
	cd bin; make -k $(CC) -k VERSION="$(VERSION)" -k DATE="$(DATE)"; cd ..

clean: FORCE
	cd lib     ; make clean ; cd ..
	cd bin     ; make clean ; cd ..
	cd test    ; make clean ; cd ..

realclean: FORCE
	cd lib     ; make realclean ; cd ..
	cd bin     ; make realclean ; cd ..
	cd test    ; make realclean ; cd ..
	rm -rf update lib/bibutils.pc

test: all FORCE
	cd lib    ; make test; cd ..
	cd bin    ; make test; cd ..

install: all FORCE
	sed 's/VERSION/${VERSION}/g' packageconfig_start > lib/bibutils.pc
	@for p in ${PROGRAMS}; \
		do ( cp bin/$$p ${INSTALLDIR}/$$p ); \
	done

package: all FORCE
	csh -f maketgz.csh ${VERSION} ${POSTFIX}

deb: all FORCE
	csh -f makedeb.csh ${VERSION} ${POSTFIX}

FORCE:

## bibutils 4.8

=== bin/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS     = -I ../lib
 LIBDIR     = -L../lib
 PROGS      = bib2xml biblatex2xml copac2xml end2xml endx2xml isi2xml med2xml \
-             ris2xml \
+             ris2xml ebi2xml wordbib2xml \
              xml2ads xml2bib xml2end xml2isi xml2ris xml2wordbib modsclean
 
 all: $(PROGS)
@@ -22,6 +22,9 @@
 copac2xml : copac2xml.o bibprog.o tomods.o args.o  ../lib/libbibutils.a
 	$(CC) $^ -o $@
 
+ebi2xml : ebi2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
+	$(CC) $^ -o $@
+
 end2xml : end2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
 	$(CC) $^ -o $@
 
@@ -32,6 +35,9 @@
 	$(CC) $^ -o $@
 
 med2xml : med2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
+	$(CC) $^ -o $@
+
+wordbib2xml : wordbib2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a
 	$(CC) $^ -o $@
 
 ris2xml : ris2xml.o bibprog.o tomods.o args.o ../lib/libbibutils.a

=== lib/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #CC = gcc -Wall 
 #RANLIB = echo
 
-BIB_OBJS = bbl.o fields.o list.o name.o title.o reftypes.o
+BIB_OBJS = bbl.o fields.o list.o name.o title.o doi.o reftypes.o
 
-SIMPLE_OBJS   = is_ws.o is_doi.o strsearch.o charsets.o
+SIMPLE_OBJS   = is_ws.o strsearch.o charsets.o
 NEWSTR_OBJS   = newstr.o newstr_conv.o entities.o latex.o utf8.o gb18030.o
 CONTAIN_OBJS  = fields.o list.o xml.o xml_encoding.o
 INPUT_OBJS    = bibtexin.o bibtextypes.o \
@@ -15,11 +15,12 @@
 		medin.o \
 		modsin.o modstypes.o marc.o \
 		risin.o ristypes.o \
+		ebiin.o wordin.o \
 		reftypes.o
 OUTPUT_OBJS   = bibtexout.o endout.o isiout.o modsout.o risout.o wordout.o \
 		adsout.o
 BIBUTILS_OBJS = $(SIMPLE_OBJS) $(NEWSTR_OBJS) $(CONTAIN_OBJS) \
-	$(INPUT_OBJS) $(OUTPUT_OBJS) name.o title.o bibl.o serialno.o bibutils.o
+	$(INPUT_OBJS) $(OUTPUT_OBJS) name.o title.o doi.o bibl.o serialno.o bibutils.o
 
 all:  libbibutils.a

=== debian/changelog ===
bibutils (4.8-1) unstable; urgency=low

  * New upstream release
  * Convert to source format 3.0 (quilt)

 -- David Bremner <bremner@unb.ca>  Wed, 03 Feb 2010 09:54:51 -0400

bibutils (4.6-1) unstable; urgency=low

  * New upstream release
    - name_comma: initialize pointer (Closes: #552570)
  * add versioned build dependency on quilt to support dh --quilt
  * add DM-Upload-Allowed flag

 -- David Bremner <bremner@unb.ca>  Tue, 03 Nov 2009 07:45:47 -0400

bibutils (4.3-1) unstable; urgency=low

  * New upstream release
  * make /usr/lib/libbibutils.so point to /usr/lib/libbibutils.so.1 (the
    soname)
  * Link binaries dynamically again
  * Update to new standards version 3.8.3 (no changes)
  
 -- David Bremner <bremner@unb.ca>  Sun, 23 Aug 2009 10:17:54 -0400

bibutils (4.1-1) unstable; urgency=low

  * New Upstream Version 
    - patch from Rafael Laboissiere to lib/medin.c applied upstream (Closes: #506960)
  * Convert to topgit (Closes: #485243)
  * Change maintainer to debian-science-maintainers@lists.alioth.debian.org
  * Update Vcs-Git and Vcs-Browser
  * Converted packaging to topgit
  * Upgraded to standards version 3.8.1 (added debian/README.source)
  
 -- David Bremner <bremner@unb.ca>  Sun, 15 Mar 2009 12:48:29 -0300

bibutils (3.40-4) unstable; urgency=low

  * added reftypes.h (Closes: #477654)
  * remove obsolete libbibutils0-dev.dirs
  * adds /usr/lib/pkgconfig/bibutils.pc, courtesy of Thomas Fischer
  * adds extern "C" declarations to bibutils.h, also courtesy of Thomas 
    Fischer.
  * added support for CFLAGS to libtoolized lib/Makefile

 -- David Bremner <bremner@unb.ca>  Tue, 29 Apr 2008 07:07:06 +0200

bibutils (3.40-3) unstable; urgency=low

  * updated long descriptions
  * added license clarification for lib/adsout_journals.c
  * first version in Debian. (Closes: #452577)


 -- David Bremner <bremner@unb.ca>  Fri, 29 Feb 2008 21:04:20 +0100

bibutils (3.40-2) unstable; urgency=low

  * moved to unversioned -dev package
 
 -- David Bremner <bremner@unb.ca>  Wed, 27 Feb 2008 16:34:07 +0100

bibutils (3.40-1) unstable; urgency=low

  *  New upstream release   
  *  new command xml2ads
  *  xml2word renamed to xml2wordbib
  *  use bibutils.dbk shipped by upstream
  *  split into binary, shared libraries and -dev package
  *  remove debian/bibutils.dbk, now shipped upstream

 -- David Bremner <bremner@unb.ca>  Mon, 11 Feb 2008 20:51:08 +0100

bibutils (3.39-3) UNRELEASED; urgency=low

  * added quilt infrastructure

 -- David Bremner <bremner@unb.ca>  Fri, 01 Feb 2008 20:01:36 +0100

bibutils (3.39-2) UNRELEASED; urgency=low

  * remove build dependency on csh
  * updated copyright to GPL-2+ from GPL-2
  * run test suite during build
  * use dh_link to create extra man pages

 -- David Bremner <bremner@unb.ca>  Tue, 29 Jan 2008 22:08:03 +0100

bibutils (3.39-1) UNRELEASED; urgency=low

  * Initial release 

 -- David Bremner <bremner@unb.ca>  Tue, 27 Nov 2007 13:18:20 +0100

=== debian/control ===
Source: bibutils
Section: text
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@unb.ca>
Build-Depends: debhelper (>= 7.0.50), xsltproc, docbook-xsl, docbook-xml, libtool
Standards-Version: 3.8.3
Homepage: http://www.scripps.edu/~cdputnam/software/bibutils/
Vcs-Git: git://git.debian.org/git/debian-science/packages/bibutils/
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/bibutils.git
DM-Upload-Allowed: yes

Package: bibutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbibutils1
Description: interconvert various bibliographic data formats
 Convert between the following bibliographic data formats: BibTeX,
 COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
 Library of Congress MODS XML, RIS, and Word 2007 bibliography.
 .
 This package provides command line tools bib2xml, copac2xml, end2xml
 endx2xml, isi2xml, med2xml, ris2xml which convert to MODS XML format,
 modsclean which reformats MODS XML, and a matching set of commands
 xml2ads, xml2bib, xml2end, xml2isi, xml2ris, xml2wordbib which convert 
 from MODS XML.

Package: libbibutils-dev
Section: libdevel
Architecture: any
Depends: libbibutils1 (= ${binary:Version}), ${misc:Depends}
Description: bibliography file converter, development kit
 Convert between the following bibliographic data formats: BibTeX,
 COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
 Library of Congress MODS, RIS, and Word 2007 bibliography.
 .
 This package contains the static library and headers for use by developers.

Package: libbibutils1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bibliography file converter, shared library
 Convert between the following bibliographic data formats: BibTeX,
 COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
 Library of Congress MODS, RIS, and Word 2007 bibliography.
 .
 This package contains the shared library doing most of the work

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

TG_BRANCHES=debian/mkshlibs
# wildcard is to avoid a warning from dh when topgit is not installed
include $(wildcard /usr/share/topgit/tg2quilt.mk)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

# what to pass to libtool
SO_CURRENT=1
SO_REVISION=0
SO_AGE=0
SOVERSION=$(SO_CURRENT):$(SO_REVISION):$(SO_AGE)
SONAME="libbibutils.so."$(SO_CURRENT)

INSTALLDIR=$(CURDIR)/debian/tmp/bin
DEVLIB=${CURDIR}/debian/libbibutils-dev/usr/lib

%:
	dh $@

override_dh_auto_configure:
	# do the sed ourselves to avoid build dependency on csh
	sed -e 's/REPLACE_CC/CC="cc -Wall"/' \
	    -e 's/REPLACE_RANLIB/RANLIB="ranlib"/'  \
	    -e "s|REPLACE_INSTALLDIR|${INSTALLDIR}|"  \
	    -e 's/REPLACE_POSTFIX//' < Makefile_start > Makefile

override_dh_auto_build:
	$(MAKE) SOVERSION=$(SOVERSION) all
	$(XP) -o bibutils.1 $(DB2MAN) bibutils.dbk
	make -C test all
	make -C test test

override_dh_auto_install:
	mkdir -p ${INSTALLDIR}
	$(MAKE) SOVERSION=$(SOVERSION) install
	mkdir -p ${DEVLIB} && ln -s ${SONAME} ${DEVLIB}/libbibutils.so

## bibutils 4.12

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
-POSTFIX=_i386
+POSTFIX="_amd64"
 CC = CC="cc -Wall"
 RANLIB=RANLIB="ranlib"
 INSTALLDIR=/usr/local/bin
+LIBINSTALLDIR=/usr/local/lib
 
-VERSION=4.6
-DATE=10/24/09
+VERSION=4.12
+DATE=10/10/10
 
 PROGRAMS=bib2xml ris2xml end2xml endx2xml med2xml isi2xml copac2xml \
-	ebi2xml wordbib2xml \
-	xml2ads xml2bib xml2end xml2isi xml2ris xml2wordbib \
-	modsclean
+	biblatex2xml ebi2xml wordbib2xml \
+	xml2ads xml2bib xml2end xml2isi xml2ris xml2wordbib modsclean
 
 all : FORCE
 	cd lib; make -k $(CC) -k $(RANLIB); cd ..
@@ -31,6 +31,7 @@
 	cd bin    ; make test; cd ..
 
 install: all FORCE
+	cd lib ; make -k LIBINSTALLDIR=$(LIBINSTALLDIR) install; cd ..
 	sed 's/VERSION/${VERSION}/g' packageconfig_start > lib/bibutils.pc
 	@for p in ${PROGRAMS}; \
 		do ( cp bin/$$p ${INSTALLDIR}/$$p ); \

=== bin/Makefile ===
#
# bibutils converters MAKEFILE
#

CFLAGS     = -I ../lib
LIBDIR     = -L../lib

TOMODS     = bibprog.o tomods.o args.o ../lib/modsout.o

BIBTEXIN   = bib2xml.o ../lib/bibtexin.o ../lib/bibtextypes.o
BIBLATEXIN = biblatex2xml.o ../lib/biblatexin.o ../lib/bltypes.o
COPACIN    = copac2xml.o ../lib/copacin.o ../lib/copactypes.o
EBIIN      = ebi2xml.o ../lib/ebiin.o
ENDIN      = end2xml.o ../lib/endin.o ../lib/endtypes.o
ENDXIN     = endx2xml.o ../lib/endxmlin.o ../lib/endin.o ../lib/endtypes.o
ISIIN      = isi2xml.o ../lib/isiin.o ../lib/isitypes.o
MEDIN      = med2xml.o ../lib/medin.o
MODSCLEAN  = modsclean.o ../lib/modsin.o
RISIN      = ris2xml.o ../lib/risin.o ../lib/ristypes.o
WORDIN     = wordbib2xml.o ../lib/wordin.o

FROMMODS   = bibprog.o args.o ../lib/modsin.o

ADSOUT     = xml2ads.o ../lib/adsout.o
BIBTEXOUT  = xml2bib.o ../lib/bibtexout.o
ENDOUT     = xml2end.o ../lib/endout.o
ISIOUT     = xml2isi.o ../lib/isiout.o
RISOUT     = xml2ris.o ../lib/risout.o
WORDOUT    = xml2wordbib.o ../lib/wordout.o

PROGS      = bib2xml biblatex2xml copac2xml end2xml endx2xml isi2xml med2xml \
             ris2xml ebi2xml wordbib2xml \
             xml2ads xml2bib xml2end xml2isi xml2ris xml2wordbib modsclean

all: $(PROGS)

args.o : args.c
	$(CC) $^ -DCURR_VERSION="\"$(VERSION)\"" -DCURR_DATE="\"$(DATE)\"" $(CFLAGS) -c -o $@

bib2xml : $(TOMODS) $(BIBTEXIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

biblatex2xml : $(TOMODS) $(BIBLATEXIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

copac2xml : $(TOMODS) $(COPACIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

ebi2xml : $(TOMODS) $(EBIIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

end2xml : $(TOMODS) $(ENDIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

endx2xml : $(TOMODS) $(ENDXIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

isi2xml : $(TOMODS) $(ISIIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

med2xml : $(TOMODS) $(MEDIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

ris2xml : $(TOMODS) $(RISIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

wordbib2xml : $(TOMODS) $(WORDIN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xml2ads : $(FROMMODS) $(ADSOUT) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xml2bib : $(FROMMODS) $(BIBTEXOUT) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xml2end : $(FROMMODS) $(ENDOUT) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xml2isi : $(FROMMODS) $(ISIOUT) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xml2ris : $(FROMMODS) $(RISOUT) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xml2wordbib : $(FROMMODS) $(WORDOUT) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

modsclean : $(TOMODS) $(MODSCLEAN) ../lib/libbibcore.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

test:

clean:
	rm -f *.o core 

realclean:
	rm -f *.o core $(PROGS)

=== lib/Makefile ===
#CC = gcc -Wall 
RANLIB = echo

SIMPLE_OBJS   = is_ws.o strsearch.o charsets.o

NEWSTR_OBJS   = newstr.o newstr_conv.o entities.o latex.o utf8.o gb18030.o

CONTAIN_OBJS  = fields.o list.o xml.o xml_encoding.o

BIBL_OBJS     = name.o title.o doi.o bibl.o serialno.o marc.o reftypes.o bibl.o

INPUT_OBJS    = bibtexin.o bibtextypes.o \
		biblatexin.o bltypes.o \
		copacin.o copactypes.o \
		endin.o endtypes.o \
		endxmlin.o \
		isiin.o isitypes.o \
		medin.o \
		modsin.o modstypes.o marc.o \
		risin.o ristypes.o \
		ebiin.o wordin.o

OUTPUT_OBJS   = bibtexout.o endout.o isiout.o modsout.o risout.o wordout.o \
		adsout.o

BIBCORE_OBJS = $(SIMPLE_OBJS) $(NEWSTR_OBJS) $(CONTAIN_OBJS) $(BIBL_OBJS) \
               bibcore.o

BIBUTILS_OBJS = $(INPUT_OBJS) $(OUTPUT_OBJS) bibutils.o

all: libbibcore.a libbibutils.a

libbibcore.a: $(BIBCORE_OBJS)
	ar -cr $@ $^
	$(RANLIB) $@

libbibutils.a: $(BIBUTILS_OBJS)
	ar -cr $@ $^
	$(RANLIB) $@

clean: 
	/bin/rm -f *.o core

realclean:
	/bin/rm -f *.o *.a core

test:

=== test/Makefile ===
#
# bibutils unit tests MAKEFILE
#

CFLAGS     = -Wall -I ../lib
LIBDIR     = -L../lib
LIBS       = -lbibutils 
PROGS      = newstr_test entities_test utf8_test

all: $(PROGS)

entities_test : entities_test.o ../lib/libbibutils.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBS) $(LDLIBS) -o $@

utf8_test : utf8_test.o ../lib/libbibutils.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBS) $(LDLIBS) -o $@

newstr_test : newstr_test.o ../lib/libbibutils.a
	$(CC) $(LDFLAGS) $^ $(LOADLIBS) $(LDLIBS) -o $@

test: entities_test newstr_test FORCE
	./newstr_test
	./entities_test
	./utf8_test

clean:
	rm -f *.o core 

realclean:
	rm -f *.o core $(PROGS)

FORCE:

=== debian/changelog ===
bibutils (4.12-5build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:14:27 +0000

bibutils (4.12-5) unstable; urgency=low

  * Remove extraneous backslashes from libbibutils.pc. 
    (Closes: #644257). 

 -- David Bremner <bremner@debian.org>  Sun, 09 Oct 2011 09:10:45 -0300

bibutils (4.12-4) unstable; urgency=low

  * Install modsout.h and wordout.h (Closes: #637692). Thanks to Giovanni
    Mascellani for the patch.

 -- David Bremner <bremner@debian.org>  Mon, 26 Sep 2011 19:11:43 -0300

bibutils (4.12-3) unstable; urgency=low

  * Bug fix: "CLI option --version does not display version at all",
    thanks to Patrice Pillot (Closes: #630707).
  * Update to standards version 3.9.2 (no changes)

 -- David Bremner <bremner@debian.org>  Mon, 20 Jun 2011 19:48:26 -0300

bibutils (4.12-2) unstable; urgency=low

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Fri, 06 May 2011 23:59:42 -0300

bibutils (4.12-1) experimental; urgency=low

  * New upstream release
    - new commands: biblatex2xml ebi2xml and wordbib2xml
  * Major packaging update, now using upstream build system to make
    shared libraries.
  * Update to standards version 3.9.1 (no changes)

 -- David Bremner <bremner@debian.org>  Fri, 10 Dec 2010 21:46:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: bibutils
 Section: text
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: David Bremner <bremner@unb.ca>
-Build-Depends: debhelper (>= 7.0.50), xsltproc, docbook-xsl, docbook-xml, libtool
-Standards-Version: 3.8.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: David Bremner <bremner@debian.org>
+Build-Depends: debhelper (>= 7.0.50),   xsltproc, docbook-xsl, docbook-xml
+Standards-Version: 3.9.2
 Homepage: http://www.scripps.edu/~cdputnam/software/bibutils/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/bibutils/
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/bibutils.git
-DM-Upload-Allowed: yes
 
 Package: bibutils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libbibutils1
+Depends: ${shlibs:Depends}, ${misc:Depends}, libbibutils2
 Description: interconvert various bibliographic data formats
  Convert between the following bibliographic data formats: BibTeX,
  COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
@@ -27,7 +27,7 @@
 Package: libbibutils-dev
 Section: libdevel
 Architecture: any
-Depends: libbibutils1 (= ${binary:Version}), ${misc:Depends}
+Depends: libbibutils2 (= ${binary:Version}), ${misc:Depends}
 Description: bibliography file converter, development kit
  Convert between the following bibliographic data formats: BibTeX,
  COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
@@ -35,7 +35,7 @@
  .
  This package contains the static library and headers for use by developers.
 
-Package: libbibutils1
+Package: libbibutils2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.scripps.edu/~cdputnam/software/bibutils/bibutils_(.*)_src.tgz

## bibutils 6.2

=== debian/changelog ===
bibutils (6.2-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "newer version", thanks to Clint Adams (Closes: #896573).

 -- David Bremner <bremner@debian.org>  Sun, 22 Apr 2018 11:15:02 -0300

bibutils (6.0-1) experimental; urgency=medium

  * New upstream version
  * bump SONAME to libbibutils.so.6

 -- David Bremner <bremner@debian.org>  Tue, 04 Jul 2017 21:17:44 -0300

bibutils (5.6-1) experimental; urgency=medium

  * New upstream version
  * Bump soname of libbibutils, yet again.
  * Claim conformance with policy 3.9.6

 -- David Bremner <bremner@debian.org>  Fri, 22 May 2015 07:46:56 +0200

bibutils (5.4-1) experimental; urgency=medium

  * New upstream version
  * Bump soname of libbibutils, again.

 -- David Bremner <bremner@debian.org>  Sun, 10 Aug 2014 11:47:11 -0300

bibutils (5.0-2) experimental; urgency=low

  * Fix: "Missing authors in copyright file", thanks to Lior Kaplan
    (Closes: #719483).

 -- David Bremner <bremner@debian.org>  Mon, 12 Aug 2013 15:37:16 +0200

bibutils (5.0-1) experimental; urgency=low

  * New upstream release
  * Bump soname of libbibutils.
  * Bump standards version (no changes needed).

 -- David Bremner <bremner@debian.org>  Sat, 10 Aug 2013 21:52:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: bibutils
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 7.0.50),   xsltproc, docbook-xsl, docbook-xml
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 10),   xsltproc, docbook-xsl, docbook-xml
+Standards-Version: 3.9.6
 Homepage: http://www.scripps.edu/~cdputnam/software/bibutils/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/bibutils/
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/bibutils.git
 
 Package: bibutils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libbibutils2
+Depends: ${shlibs:Depends}, ${misc:Depends}, libbibutils6
 Description: interconvert various bibliographic data formats
  Convert between the following bibliographic data formats: BibTeX,
  COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
@@ -27,7 +26,7 @@
 Package: libbibutils-dev
 Section: libdevel
 Architecture: any
-Depends: libbibutils2 (= ${binary:Version}), ${misc:Depends}
+Depends: libbibutils6 (= ${binary:Version}), ${misc:Depends}
 Description: bibliography file converter, development kit
  Convert between the following bibliographic data formats: BibTeX,
  COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
@@ -35,7 +34,7 @@
  .
  This package contains the static library and headers for use by developers.
 
-Package: libbibutils2
+Package: libbibutils6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DATE=$(shell sed -n 's/^DATE\s*=\s*\(.*\)/\1/p' Makefile_start)
MAJORVERSION=$(shell sed -n 's/^MAJORVERSION\s*=\s*\(.*\)/\1/p' Makefile_start)
MINORVERSION=$(shell sed -n 's/^MINORVERSION\s*=\s*\(.*\)/\1/p' Makefile_start)
VERSION       = ${MAJORVERSION}.${MINORVERSION}

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

# Set SONAME
SOMAJOR=6
SOMINOR=0
SONAME="libbibutils.so."$(SOMAJOR)

DESTDIR=${CURDIR}/debian/tmp/
INSTALLDIR=${DESTDIR}/usr/bin
LIBINSTALLDIR=${DESTDIR}/usr/lib

CFLAGSIN=$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGSIN

LDFLAGSIN=$(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGSIN

%:
	dh $@

override_dh_auto_configure:
	@echo Skipping auto_configure
	@echo building bibutils $(VERSION), upstream date $(DATE)

override_dh_auto_build:
	$(MAKE) -C lib -f Makefile.dynamic LIBTARGETIN=libbibutils.so CFLAGSIN="-fPIC ${CFLAGSIN}" SONAME=$(SONAME) SOMINOR=$(SOMINOR) all
	$(MAKE) -C bin -f Makefile.dynamic VERSION=$(VERSION) DATE=$(DATE) all
	# this relies on target clean not removing the shared libs
	$(MAKE) -C lib -f Makefile.static clean
	$(MAKE) -C lib -f Makefile.static RANLIB=ranlib libbibutils.a libbibcore.a
	$(XP) -o bibutils.1 $(DB2MAN) bibutils.dbk
	sed 's/VERSION/${VERSION}/g' packageconfig_start > lib/bibutils.pc

override_dh_auto_install:
	@echo Skipping auto_install

override_dh_auto_test:
	make -C test -f Makefile.static all
	make -C test -f Makefile.static test

override_dh_auto_clean:
	make -C lib -f Makefile.dynamic realclean
	make -C bin -f Makefile.dynamic realclean
	make -C test -f Makefile.dynamic realclean

=== debian/watch ===
--- 
+++ 
@@ -6,5 +6,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://www.scripps.edu/~cdputnam/software/bibutils/bibutils_(.*)_src.tgz
-
+http://sf.net/bibutils/bibutils_(.+)_src\.tgz

## bibutils 6.10

=== debian/changelog ===
bibutils (6.10-2) unstable; urgency=medium

  [ Andrius Merkys ]
  * Team upload.
  * UNRELEASED -> unstable

  [ Pierre Gruet ]
  * Upload to unstable, transition to libbibutils7 begins.

 -- Andrius Merkys <merkys@debian.org>  Sun, 26 Apr 2020 00:40:43 -0400

bibutils (6.10-1) experimental; urgency=medium

  * New upstream version 6.10
  * New uploader (Closes: #896574), thanks to David Bremner!
  * Raising Standards version to 4.5.0
    + Adding Rules-Requires-Root field in debian/control
    + Enabling verbose build
  * Updating copyright information and enabling machine-readable format
  * Bumping SONAME to libbibutils.so.7
  * Correcting tests of slist_add
  * Fixing FTCBFS with a patch of Helmut Grohne (Closes: #853243)
    + Let dh_auto_build pass cross compilers to $(MAKE)
    + Honour DEB_BUILD_OPTIONS=nocheck
  * Putting libraries in /usr/lib/${DEB_HOST_MULTIARCH}
  * Fixing Lintian issues with severity info

 -- Pierre Gruet <pgtdebian@free.fr>  Wed, 08 Apr 2020 14:46:06 +0200

=== debian/control ===
Source: bibutils
Section: text
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>, Pierre Gruet <pgtdebian@free.fr>
Build-Depends: debhelper-compat (= 10), dh-exec (>=0.3), xsltproc, docbook-xsl, docbook-xml
Standards-Version: 4.5.0
Homepage: https://sourceforge.net/projects/bibutils/
Vcs-Git: https://salsa.debian.org/science-team/bibutils.git
Vcs-Browser: https://salsa.debian.org/science-team/bibutils
Rules-Requires-Root: no

Package: bibutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbibutils7
Description: interconvert various bibliographic data formats
 Convert between the following bibliographic data formats: BibTeX,
 COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
 Library of Congress MODS XML, RIS, and Word 2007 bibliography.
 .
 This package provides command line tools bib2xml, copac2xml, end2xml
 endx2xml, isi2xml, med2xml, ris2xml which convert to MODS XML format,
 modsclean which reformats MODS XML, and a matching set of commands
 xml2ads, xml2bib, xml2end, xml2isi, xml2ris, xml2wordbib which convert
 from MODS XML.

Package: libbibutils-dev
Section: libdevel
Architecture: any
Depends: libbibutils7 (= ${binary:Version}), ${misc:Depends}
Description: bibliography file converter, development kit
 Convert between the following bibliographic data formats: BibTeX,
 COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
 Library of Congress MODS, RIS, and Word 2007 bibliography.
 .
 This package contains the static library and headers for use by developers.

Package: libbibutils7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bibliography file converter, shared library
 Convert between the following bibliographic data formats: BibTeX,
 COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
 Library of Congress MODS, RIS, and Word 2007 bibliography.
 .
 This package contains the shared library doing most of the work

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DATE=$(shell sed -n 's/^DATE\s*=\s*\(.*\)/\1/p' Makefile_start)
MAJORVERSION=$(shell sed -n 's/^MAJORVERSION\s*=\s*\(.*\)/\1/p' Makefile_start)
MINORVERSION=$(shell sed -n 's/^MINORVERSION\s*=\s*\(.*\)/\1/p' Makefile_start)
VERSION       = ${MAJORVERSION}.${MINORVERSION}

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

# Set SONAME
SOMAJOR=7
SOMINOR=0
SONAME="libbibutils.so."$(SOMAJOR)

DESTDIR=${CURDIR}/debian/tmp/
INSTALLDIR=${DESTDIR}/usr/bin
LIBINSTALLDIR=${DESTDIR}/usr/lib/$(DEB_HOST_MULTIARCH)

CFLAGSIN=$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGSIN

LDFLAGSIN=$(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGSIN

%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:
	@echo Skipping auto_configure
	@echo building bibutils $(VERSION), upstream date $(DATE)

override_dh_auto_build:
	dh_auto_build -Dlib -- -f Makefile.dynamic LIBTARGETIN=libbibutils.so CFLAGSIN="-fPIC ${CFLAGSIN}" SONAME=$(SONAME) SOMINOR=$(SOMINOR) all
	dh_auto_build -Dbin -- -f Makefile.dynamic VERSION=$(VERSION) DATE=$(DATE) all
	# this relies on target clean not removing the shared libs
	dh_auto_build -Dlib -- -f Makefile.static clean
	dh_auto_build -Dlib -- -f Makefile.static RANLIB=ranlib libbibutils.a libbibcore.a
	$(XP) -o bibutils.1 $(DB2MAN) bibutils.dbk
	sed 's/VERSION/${VERSION}/g' packageconfig_start > lib/bibutils.pc

override_dh_auto_install:
	@echo Skipping auto_install

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	make -C test -f Makefile.static all
	make -C test -f Makefile.static test
endif

override_dh_auto_clean:
	make -C lib -f Makefile.dynamic realclean
	make -C bin -f Makefile.dynamic realclean
	make -C test -f Makefile.dynamic realclean

=== debian/watch ===
version=4

http://sf.net/bibutils/bibutils_(.+)_src\.tgz

## bibutils 7.2

=== debian/changelog ===
bibutils (7.2-2) unstable; urgency=medium

  * Adding an autopkgtest

 -- Pierre Gruet <pgt@debian.org>  Sat, 05 Mar 2022 14:53:26 +0100

bibutils (7.2-1) unstable; urgency=medium

  * New upstream version 7.2
  * Deleting patches, which have all been upstreamed
  * Fixing unnecessary versioned dependency on dh-exec
  * Update renamed lintian tag names in lintian overrides.
  * Updating the symbols file

 -- Pierre Gruet <pgt@debian.org>  Mon, 29 Nov 2021 21:46:59 +0100

bibutils (7.1-3) unstable; urgency=medium

  * Forwarding patches
  * Upload to unstable, starting the transition from libbibutils7
    to libbibutils8

 -- Pierre Gruet <pgt@debian.org>  Wed, 03 Nov 2021 08:52:16 +0100

bibutils (7.1-2) experimental; urgency=medium

  * Modifying two omitted minimal versions in symbols
  * Marking the lib and -dev packages as Multi-Arch: same

 -- Pierre Gruet <pgt@debian.org>  Sat, 30 Oct 2021 21:30:49 +0200

bibutils (7.1-1) experimental; urgency=medium

  * New upstream version 7.1
  * Adding solved CVE issues in former changelog entry
  * Removing David Bremner from Uploaders
  * Refreshing patches
  * Refreshing d/copyright
  * Bumping the soname to libbibutils.so.8
  * Using https URI in d/watch
  * Removing now useless d/dirs file
  * Depending on debhelper-compat 13
  * Aligning dependencies on several lines in d/control

 -- Pierre Gruet <pgt@debian.org>  Tue, 26 Oct 2021 14:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: text
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: David Bremner <bremner@debian.org>, Pierre Gruet <pgtdebian@free.fr>
-Build-Depends: debhelper-compat (= 10), dh-exec (>=0.3), xsltproc, docbook-xsl, docbook-xml
-Standards-Version: 4.5.0
+Uploaders: Pierre Gruet <pgt@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               docbook-xml,
+               docbook-xsl,
+               xsltproc
+Standards-Version: 4.6.0
 Homepage: https://sourceforge.net/projects/bibutils/
 Vcs-Git: https://salsa.debian.org/science-team/bibutils.git
 Vcs-Browser: https://salsa.debian.org/science-team/bibutils
@@ -12,7 +16,9 @@
 
 Package: bibutils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libbibutils7
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libbibutils8
 Description: interconvert various bibliographic data formats
  Convert between the following bibliographic data formats: BibTeX,
  COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
@@ -27,7 +33,9 @@
 Package: libbibutils-dev
 Section: libdevel
 Architecture: any
-Depends: libbibutils7 (= ${binary:Version}), ${misc:Depends}
+Depends: libbibutils8 (= ${binary:Version}),
+         ${misc:Depends}
+Multi-Arch: same
 Description: bibliography file converter, development kit
  Convert between the following bibliographic data formats: BibTeX,
  COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US
@@ -35,10 +43,12 @@
  .
  This package contains the static library and headers for use by developers.
 
-Package: libbibutils7
+Package: libbibutils8
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Multi-Arch: same
 Description: bibliography file converter, shared library
  Convert between the following bibliographic data formats: BibTeX,
  COPAC, EndNote refer, EndNote XML, Pubmed XML, ISI web of science, US

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 XP=xsltproc -''-nonet
 
 # Set SONAME
-SOMAJOR=7
+SOMAJOR=8
 SOMINOR=0
 SONAME="libbibutils.so."$(SOMAJOR)

=== debian/tests/control ===
Tests: round-trip-tests
Depends: bibutils
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://sf.net/bibutils/bibutils_(.+)_src\.tgz
